# Uses of Interface
org.springframework.core.type.ClassMetadata

Packages that use ClassMetadata
Package
Description
org.springframework.core.type
Core support package for type introspection.
org.springframework.core.type.classreading
Support classes for reading annotation and class-level metadata.
org.springframework.core.type.filter
Core support package for type filtering (for example, for classpath scanning).

## Uses of ClassMetadata in org.springframework.core.type

Subinterfaces of ClassMetadata in org.springframework.core.type
Modifier and Type
Interface
Description
`interface`
`AnnotationMetadata`
Interface that defines abstract access to the annotations on a specific class, in a form that does not require that class to be loaded yet.
Classes in org.springframework.core.type that implement ClassMetadata
Modifier and Type
Class
Description
`class`
`StandardAnnotationMetadata`
`AnnotationMetadata` implementation that uses standard reflection to introspect a given `Class`.
`class`
`StandardClassMetadata`
`ClassMetadata` implementation that uses standard reflection to introspect a given `Class`.

## Uses of ClassMetadata in org.springframework.core.type.classreading

Methods in org.springframework.core.type.classreading that return ClassMetadata
Modifier and Type
Method
Description
`ClassMetadata`
MetadataReader.`getClassMetadata()`
Read basic class metadata for the underlying class.

## Uses of ClassMetadata in org.springframework.core.type.filter

Methods in org.springframework.core.type.filter with parameters of type ClassMetadata
Modifier and Type
Method
Description
`protected abstract boolean`
AbstractClassTestingTypeFilter.`match(ClassMetadata metadata)`
Determine a match based on the given ClassMetadata object.
`protected boolean`
RegexPatternTypeFilter.`match(ClassMetadata metadata)`